Part Plane: Difference between revisions

From FreeCAD Documentation
mNo edit summary
Line 42: Line 42:
# Press the {{Button|Create}} button.
# Press the {{Button|Create}} button.
# The plane is created.
# The plane is created.
# The task panel stays open.
# Optionally create additional planes, or other primitives.
# Optionally create additional planes, or other primitives.
# Press the {{Button|Close}} button to finish the command.
# Press the {{Button|Close}} button to finish the command.

Revision as of 21:24, 1 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Plane

Menu location
Part → Create primitives → Plane
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Plane is a parametric rectangular plane that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the plane lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

Create

  1. There are several ways to invoke the Part Primitives command:
    • Press the Part Primitives button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
  2. The Geometic Primitives task panel opens.
  3. Select the Plane option from the dropdown list.
  4. Specify the properties.
  5. Press the Create button.
  6. The plane is created.
  7. The task panel stays open.
  8. Optionally create additional planes, or other primitives.
  9. Press the Close button to finish the command.

Edit

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DataLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DataWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

A Part Plane is created with the addObject() method of the document.

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where myPlane is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

plane.Label = "new myPlaneName"

You can access and modify attributes of the plane object. For example, you may wish to modify the length and width parameters.

plane.Length = 4
plane.Width = 8

You can change its placement with:

plane.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(20, 75, 60))